Bug 204993 - CVE-2006-4482 PHP heap overflow
CVE-2006-4482 PHP heap overflow
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
Depends On:
Blocks: 206934
  Show dependency treegraph
Reported: 2006-09-01 17:39 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0669
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-21 06:55:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-09-01 17:39:08 EDT
(Description from MITRE)
Multiple heap-based buffer overflows in the (1) str_repeat and (2)
wordwrap functions in ext/standard/string.c in PHP before 5.1.5, when
used on a 64-bit system, have unspecified impact and attack vectors, a
different vulnerability than CVE-2006-1990.

This is the result of using int = size_t * sizt_t where int is 32 bits
and size_t is 64 bits.  The odds of exploiting this remotely are slim
as you would probably have to send 2 gigs of data to a broken app.

Comment 1 Josh Bressers 2006-09-01 17:41:40 EDT
This issue likely also affects RHEL2 and RHEL3
Comment 5 Red Hat Bugzilla 2006-09-21 06:55:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.